[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Xen-devel] [xen-unstable test] 10020: regressions - FAIL



On Thu, 2011-11-24 at 17:14 +0000, Ian Campbell wrote:
> On Thu, 2011-11-24 at 17:00 +0000, Jan Beulich wrote:
> > >>> On 24.11.11 at 17:35, Ian Campbell <Ian.Campbell@xxxxxxxxxx> wrote:
> > > On Thu, 2011-11-24 at 16:23 +0000, Ian Jackson wrote:
> > >> In file included from block-aio.c:45:
> > >> tapaio.h:42: error: expected specifier-qualifier-list before 
> > >> 'io_context_t'
> > > 
> > > Further up there is a 
> > > block-aio.c:36:20: error: libaio.h: No such file or directory
> > > 
> > > I think you need to install libaio-dev.
> > 
> > But if there's a new dependency, should that be verified in tools/check/,
> > so that things fail early?
> 
> Yes, I also forgot to patch README.

Actually I did remember the README (*pats self on back*)

>  I'll look into it tomorrow.

Or now even:

8<-----------------------------------------------------------------

tools: check for libaio unless user has configured CONFIG_SYSTEM_LIBAIO=n

Signed-off-by: Ian Campbell <ian.campbell@xxxxxxxxxx>

diff -r 8fb3fa6218c6 tools/check/Makefile
--- a/tools/check/Makefile      Thu Nov 24 17:05:25 2011 +0000
+++ b/tools/check/Makefile      Thu Nov 24 17:30:17 2011 +0000
@@ -6,6 +6,7 @@
 export LIBXENAPI_BINDINGS
 export CHECK_INCLUDES
 export CHECK_LIB
+export CONFIG_SYSTEM_LIBAIO
 
 .PHONY: all install
 all install: check-build
diff -r 8fb3fa6218c6 tools/check/check_libaio_devel
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_libaio_devel    Thu Nov 24 17:30:17 2011 +0000
@@ -0,0 +1,11 @@
+#!/bin/sh
+# CHECK-BUILD
+
+. ./funcs.sh
+
+if [ X${CONFIG_SYSTEM_LIBAIO} != X"y" ] ; then
+    exit 0
+fi
+if ! has_header libaio.h ; then
+    fail "can't find libaio headers, install libaio devel package or set 
CONFIG_SYSTEM_LIBAIO=n"
+fi
diff -r 8fb3fa6218c6 tools/check/check_libaio_lib
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_libaio_lib      Thu Nov 24 17:30:17 2011 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+. ./funcs.sh
+
+if [ X${CONFIG_SYSTEM_LIBAIO} != X"y" ] ; then
+    exit 0
+fi
+has_lib libaio.so || fail "can't find libaio"



_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.